Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.mock
Class MockResponseWriter

    java.lang.Object
      java.io.Writer
          javax.faces.context.ResponseWriter
              org.jboss.seam.mock.MockResponseWriter

All Implemented Interfaces:
  Closeable, Flushable, Appendable

    public class MockResponseWriter

extends javax.faces.context.ResponseWriter

Field Summary

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`MockResponseWriter()`
`MockResponseWriter(Writer writer)`

Method Summary
`javax.faces.context.ResponseWriter` | `cloneWithWriter(Writer writer)`
`void` | `close()`
`void` | `endDocument()`
`void` | `endElement(String element)`
`void` | `flush()`
`String` | `getCharacterEncoding()`
`String` | `getContentType()`
`Writer` | `getWriter()`
`void` | `startDocument()`
`void` | `startElement(String element, javax.faces.component.UIComponent component)`
`void` | `write(char[] cbuf)`
`void` | `write(char[] chars, int start, int end)`
`void` | `write(int c)`
`void` | `write(String str)`
`void` | `write(String str, int off, int len)`
`void` | `writeAttribute(String attribute, Object object, String string)`
`void` | `writeComment(Object object)`
`void` | `writeText(char[] chars, int start, int end)`
`void` | `writeText(Object value, String string)`
`void` | `writeURIAttribute(String attribute, Object object, String string)`

Methods inherited from class javax.faces.context.ResponseWriter
`endCDATA, startCDATA, writeText`

Methods inherited from class java.io.Writer
`append, append, append`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockResponseWriter

    public MockResponseWriter(Writer writer)

### MockResponseWriter

    public MockResponseWriter()

Method Detail

### cloneWithWriter

    public javax.faces.context.ResponseWriter cloneWithWriter(Writer writer)

  Specified by:
    `cloneWithWriter` in class `javax.faces.context.ResponseWriter`

### endDocument

    public void endDocument()
                     throws IOException

  Specified by:
    `endDocument` in class `javax.faces.context.ResponseWriter`
  Throws:
    `IOException`

### endElement

    public void endElement(String element)
                    throws IOException

  Specified by:
    `endElement` in class `javax.faces.context.ResponseWriter`
  Throws:
    `IOException`

### flush

    public void flush()
               throws IOException

  Specified by:
    `flush` in interface `Flushable`
  Specified by:
    `flush` in class `javax.faces.context.ResponseWriter`
  Throws:
    `IOException`

### getCharacterEncoding

    public String getCharacterEncoding()

  Specified by:
    `getCharacterEncoding` in class `javax.faces.context.ResponseWriter`

### getContentType

    public String getContentType()

  Specified by:
    `getContentType` in class `javax.faces.context.ResponseWriter`

### startDocument

    public void startDocument()
                       throws IOException

  Specified by:
    `startDocument` in class `javax.faces.context.ResponseWriter`
  Throws:
    `IOException`

### startElement

    public void startElement(String element,
                             javax.faces.component.UIComponent component)
                      throws IOException

  Specified by:
    `startElement` in class `javax.faces.context.ResponseWriter`
  Throws:
    `IOException`

### writeAttribute

    public void writeAttribute(String attribute,
                               Object object,
                               String string)
                        throws IOException

  Specified by:
    `writeAttribute` in class `javax.faces.context.ResponseWriter`
  Throws:
    `IOException`

### writeComment

    public void writeComment(Object object)
                      throws IOException

  Specified by:
    `writeComment` in class `javax.faces.context.ResponseWriter`
  Throws:
    `IOException`

### writeText

    public void writeText(Object value,
                          String string)
                   throws IOException

  Specified by:
    `writeText` in class `javax.faces.context.ResponseWriter`
  Throws:
    `IOException`

### writeText

    public void writeText(char[] chars,
                          int start,
                          int end)
                   throws IOException

  Specified by:
    `writeText` in class `javax.faces.context.ResponseWriter`
  Throws:
    `IOException`

### writeURIAttribute

    public void writeURIAttribute(String attribute,
                                  Object object,
                                  String string)
                           throws IOException

  Specified by:
    `writeURIAttribute` in class `javax.faces.context.ResponseWriter`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `Writer`
  Throws:
    `IOException`

### write

    public void write(char[] chars,
                      int start,
                      int end)
               throws IOException

  Specified by:
    `write` in class `Writer`
  Throws:
    `IOException`

### write

    public void write(String str)
               throws IOException

  Overrides:
    `write` in class `Writer`
  Throws:
    `IOException`

### write

    public void write(int c)
               throws IOException

  Overrides:
    `write` in class `Writer`
  Throws:
    `IOException`

### write

    public void write(char[] cbuf)
               throws IOException

  Overrides:
    `write` in class `Writer`
  Throws:
    `IOException`

### write

    public void write(String str,
                      int off,
                      int len)
               throws IOException

  Overrides:
    `write` in class `Writer`
  Throws:
    `IOException`

### getWriter

    public Writer getWriter()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.